/****************************************************************************
* Copyright Avaya Inc., All Rights Reserved.
* THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF Avaya Inc.
* The copyright notice above does not evidence any actual or intended publication of such source code.
* Some third-party source code components may have been modified from their original versions by Avaya Inc.
* The modifications are Copyright Avaya Inc., All Rights Reserved.
* Avaya Confidential & Restricted. May not be distributed further without written permission of
* the Avaya owner.
****************************************************************************/
package com.avaya.zephyr.services.sample_services.Authorization.TaskRepository.util;

public enum Feature
{
    LISTALL_STANDARD("authzres.listall", "standard"),
    CREATE_STANDARD("authzres.create", "standard"),
    LIST_STANDARD("authzres.list", "standard"),
    DELETE_STANDARD("authzres.delete", "standard"),
    UPDATE_STANDARD("authzres.update", "standard");

    private final String name;
    private final String value;

    private Feature(final String name, final String value)
    {
        this.name = name;
        this.value = value;
    }

    public String getFeatureName()
    {
        return name;
    }

    public String getFeatureValue()
    {
        return value;
    }
}
